> ## Documentation Index
> Fetch the complete documentation index at: https://www.edenai.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Async Jobs

> List async jobs for the authenticated user.



## OpenAPI

````yaml https://api.edenai.run/v3/docs/openapi.json get /v3/universal-ai/async
openapi: 3.1.0
info:
  title: Eden AI API V3
  version: 3.0.0
servers:
  - url: https://api.edenai.run
    description: Production server
security: []
paths:
  /v3/universal-ai/async:
    get:
      tags:
        - universal-ai
        - universal-ai
      summary: List Async Jobs
      description: List async jobs for the authenticated user.
      operationId: list_async_jobs_v3_universal_ai_async_get
      parameters:
        - name: feature
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by feature
            title: Feature
          description: Filter by feature
        - name: subfeature
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by subfeature
            title: Subfeature
          description: Filter by subfeature
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by status
            title: Status
          description: Filter by status
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number (1-indexed)
            default: 1
            title: Page
          description: Page number (1-indexed)
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: Maximum number of items per page
            default: 100
            title: Limit
          description: Maximum number of items per page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UniversalAIAsyncJobListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - AuthBearer: []
components:
  schemas:
    UniversalAIAsyncJobListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/UniversalAIAsyncJobListItem'
          type: array
          title: Items
          description: List of items
        total:
          type: integer
          title: Total
          description: Total number of items
        page:
          type: integer
          title: Page
          description: Current page number
        limit:
          type: integer
          title: Limit
          description: Items per page
        total_pages:
          type: integer
          title: Total Pages
          description: Total number of pages
      type: object
      required:
        - items
        - total
        - page
        - limit
        - total_pages
      title: UniversalAIAsyncJobListResponse
      description: Response for listing async jobs.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UniversalAIAsyncJobListItem:
      properties:
        public_id:
          type: string
          title: Public Id
          description: Job ID
        status:
          type: string
          enum:
            - success
            - fail
            - processing
          title: Status
          description: Job status
        feature:
          type: string
          title: Feature
          description: Feature name
        subfeature:
          type: string
          title: Subfeature
          description: Subfeature name
        provider:
          type: string
          title: Provider
          description: Provider name
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: Model name
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Job creation timestamp
      type: object
      required:
        - public_id
        - status
        - feature
        - subfeature
        - provider
        - created_at
      title: UniversalAIAsyncJobListItem
      description: Summary item for job list.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    AuthBearer:
      type: http
      scheme: bearer

````